<?php
/*
 * Plugin Name: Call by Vinasite.com.vn
 * Author:Vinastie
 * Text Domain: Vinasite
 * Description:Hiển thị button call marketing
 * Version:2.1.0
 * Plugin Uri: https://vinasite.com.vn
 */

define('NTG_URL', plugin_dir_path(__FILE__));

//add style theme
add_action('wp_enqueue_scripts', function () {
    wp_enqueue_style('call-button-ntg', plugins_url('assets/css/call-button-ntg.css', __FILE__));
});

//wp admin style
add_action('admin_enqueue_scripts', function () {
    wp_enqueue_style('call-button-admin-styles', plugins_url('assets/css/call-admin.css', __FILE__));
});

if (!class_exists('ntg_call_button_add_on')) {
    class ntg_call_button_add_on
    {
        function __construct()
        {
            if (!function_exists('add_shortcode')) {
                return;
            }

            //add submenu option page
            function add_submenu_options()
            {
                add_submenu_page(
                    'options-general.php',
                    'Cài đặt call button',
                    'Cài đặt call button',
                    'manage_options',
                    'ntg-call-button',
                    'access_menu_options'
                );
            }

            //add field setup
            function access_menu_options()
            {
                require "inc/option-menu.php";
            }

            add_action('admin_menu', 'add_submenu_options');

            //xu ly luu data vao db
            function register_call_button_add_on()
            {
                //messenger
                register_setting('call-button-add-on', 'add_messenger');
                register_setting('call-button-add-on', 'url_messenger');
                //phone
                register_setting('call-button-add-on', 'add_phone');
                register_setting('call-button-add-on', 'url_phone');
                //email
                register_setting('call-button-add-on', 'add_email');
                register_setting('call-button-add-on', 'url_email');
                //zalo
                register_setting('call-button-add-on', 'add_zalo');
                register_setting('call-button-add-on', 'url_zalo');
                //whatapp
                register_setting('call-button-add-on', 'add_whatapp');
                register_setting('call-button-add-on', 'url_whatapp');
                //map
                register_setting('call-button-add-on', 'add_map');
                register_setting('call-button-add-on', 'url_map');
                //setting
                register_setting('call-button-add-on', 'add_position');
                register_setting('call-button-add-on', 'url_position');
                register_setting('call-button-add-on', 'url_bottom');
            }

            //register option buy admin
            add_action('admin_init', 'register_call_button_add_on');

            //add theme
            add_action('wp_footer', function () {
                ?>
                <div id="ntg-call-bottom">
                    <div class="box-support" style=" bottom: <?= get_option('url_bottom') ?>">
                        <?php if (get_option('add_phone') == 1): ?>
                            <a href="tel:<?= get_option('url_phone') ?>" target="_blank"><img
                                        src="<?= plugins_url('/assets/images/icon-call.svg', __FILE__) ?>" alt="">
                                <span class="aml-text-content aml-tooltiptext">Gọi điện cho tôi</span>
                            </a>
                        <?php endif; ?>
                        <?php if (get_option('add_email') == 1): ?>
                            <a href="mailto:<?= get_option('url_email') ?>" target="_blank"><img
                                        src="<?= plugins_url('/assets/images/icon-email.svg', __FILE__) ?>" alt="">
                                <span class="aml-text-content aml-tooltiptext">Gửi tin nhắn</span>
                            </a>
                        <?php endif; ?>
                        <?php if (get_option('add_messenger') == 1): ?>
                            <a href="<?= get_option('url_messenger') ?>" target="_blank"><img
                                        src="<?= plugins_url('/assets/images/icon-mess.svg', __FILE__) ?>" alt="">
                                <span class="aml-text-content aml-tooltiptext">Facebook Messenger</span>
                            </a>
                        <?php endif; ?>
                        <?php if (get_option('add_zalo') == 1): ?>
                            <a href="https://zalo.me/<?= get_option('url_zalo') ?>" target="_blank"><img
                                        src="<?= plugins_url('/assets/images/icon-zalo.svg', __FILE__) ?>" alt="">
                                <span class="aml-text-content aml-tooltiptext">Chat Zalo</span>
                            </a>
                        <?php endif; ?>
                        <?php if (get_option('add_whatapp') == 1): ?>
                            <a href="https://wa.me/<?= get_option('url_whatapp') ?>" target="_blank"><img
                                        src="<?= plugins_url('/assets/images/whatapp_model.svg', __FILE__) ?>" alt="">
                                <span class="aml-text-content aml-tooltiptext">Chat WhatApp</span>
                            </a>
                        <?php endif; ?>
                        <?php if (get_option('add_map') == 1): ?>
                            <a href="<?= get_option('url_map') ?>" target="_blank"><img
                                        src="<?= plugins_url('/assets/images/widget_icon_map.svg', __FILE__) ?>" alt="">
                                <span class="aml-text-content aml-tooltiptext">Xem bản đồ</span>
                            </a>
                        <?php endif; ?>
                    </div>
                    <div class="box-support-mobile" style=" bottom: <?= get_option('url_bottom') ?>">
                        <?php if (get_option('add_phone') == 1): ?>
                            <a href="tel:<?= get_option('url_phone') ?>" target="_blank"><img
                                        src="<?= plugins_url('/assets/images/icon-call-mobile.svg', __FILE__) ?>" alt="">
                                <span class="aml-text-content aml-tooltiptext">Gọi ngay</span>
                            </a>
                        <?php endif; ?>
                        <?php if (get_option('add_email') == 1): ?>
                            <a href="mailto:<?= get_option('url_email') ?>" target="_blank"><img
                                        src="<?= plugins_url('/assets/images/icon-email-mobile.svg', __FILE__) ?>" alt="">
                                <span class="aml-text-content aml-tooltiptext">Form Liên hệ</span>
                            </a>
                        <?php endif; ?>
                        <?php if (get_option('add_messenger') == 1): ?>
                            <a href="<?= get_option('url_messenger') ?>" target="_blank"><img
                                        src="<?= plugins_url('/assets/images/icon-mess-mobile.svg', __FILE__) ?>" alt="">
                                <span class="aml-text-content aml-tooltiptext">Messenger</span>
                            </a>
                        <?php endif; ?>
                        <?php if (get_option('add_zalo') == 1): ?>
                            <a href="https://zalo.me/<?= get_option('url_zalo') ?>" target="_blank"><img
                                        src="<?= plugins_url('/assets/images/icon-zalo-mobile.svg', __FILE__) ?>" alt="">
                                <span class="aml-text-content aml-tooltiptext">Zalo</span>
                            </a>
                        <?php endif; ?>
                        <?php if (get_option('add_whatapp') == 1): ?>
                            <a href="https://wa.me/<?= get_option('url_whatapp') ?>" target="_blank"><img
                                        src="<?= plugins_url('/assets/images/whatapp_model.svg', __FILE__) ?>" alt="">
                                <span class="aml-text-content aml-tooltiptext">WhatApp</span>
                            </a>
                        <?php endif; ?>
                        <?php if (get_option('add_map') == 1): ?>
                            <a href="<?= get_option('url_map') ?>" target="_blank"><img
                                        src="<?= plugins_url('/assets/images/icon-map-mobile.svg', __FILE__) ?>" alt="">
                                <span class="aml-text-content aml-tooltiptext">Bản đồ</span>
                            </a>
                        <?php endif; ?>
                    </div>
                    <style>
                        <?php if(get_option('add_position')==1): ?>
                        .box-support {
                            right: <?=get_option('url_position'); ?>
                        }

                        <?php else:  ?>
                        .box-support {
                            left: <?=get_option('url_position'); ?>
                        }
                        <?php endif; ?>
                    </style>
                </div>
                <?php
            });
        }
    }

    function ntg_call_button_add_on_shortcode()
    {
        global $mfpd;
        $mfpd = new ntg_call_button_add_on();
    }

    add_action('plugins_loaded', 'ntg_call_button_add_on_shortcode');
}